/*
 
 Anni M N
 1583-1699 22 2
 1700-1799 23 3
 1800-1899 23 4
 1900-2099 24 5
 2100-2199 24 6
 2200-2299 25 0
 2300-2399 26 1
 2400-2499 25 1
 */
#include <stdio.h>
#include <stdlib.h> 

#define M 24
#define N 5
int main(int argc, char *argv[]){
    if (argc < 2){
        printf("Manca l'anno.\n");
        return 0;
    }
    int anno=atoi(argv[1]);
    int a = anno % 19;
    int b = anno % 4;
    int c = anno % 7;
    
    int d=(19*a+M)%30;
    int e=(2*b+4*c+6*d+N)%7;
    int giornoPasqua;
    char *mese;
    
    if ((d+e)<10) {
        giornoPasqua=(d+e+22);
        mese="marzo";
    }
    else {
        giornoPasqua=(d+e-9);
        mese="aprile";
    }
    
    //eccezioni
    
    if (giornoPasqua == 26) {
        giornoPasqua=19;
        mese="aprile";
    }
    else if (giornoPasqua==25 && d==28 && e==6 && a>10) {
        giornoPasqua=18;
        mese="aprile";
    }
    
    printf("Pasqua: Domenica, %i %s\n",giornoPasqua,mese);
    return 0;
}
